package com.huimv.env.manage;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Import;
import org.springframework.scheduling.annotation.EnableScheduling;
import org.springframework.web.client.RestTemplate;

/**
 * @Project : huimv.shiwan
 * @Package : com.huimv.biosafety.uface.controller
 * @Description : TODO
 * @Version : 1.0
 * @Author : ZhuoNing
 * @Create : 2020-12-25
 **/
@SpringBootApplication
@EnableScheduling
@MapperScan("com.huimv.env.common.mapper")
//@Import(InterceptorConfig.class)
public class HuimvEnvManageApplication {
    public static void main(String[] args) throws InterruptedException {

        ApplicationContext applicationContext =   SpringApplication.run(HuimvEnvManageApplication.class, args);
//        applicationContext.getBean(EartagServer.class).run();
    }
    @Bean
    public static RestTemplate getRestTemplate(){
        return new RestTemplate();
    }
}
